package com.persagy.dmp.rwd.edit.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.node.ObjectNode;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.annotations.CreationTimestamp;
import org.hibernate.annotations.Type;
import org.hibernate.annotations.UpdateTimestamp;

import javax.persistence.*;
import java.util.Date;

@Setter
@Getter
@Entity
@Table(name = "rwdedit_ref_type_infos")
@IdClass(RefTypeInfoPK.class)
public class RwdeditRefTypeInfos {

    @Id
    private String refKey;
    @Id
    private String code;
    private String name;
    private String parentCode;
    @Type(type = "json")
    private ObjectNode dataSource;
    @Column(updatable = false)
    private Integer createUser;
    @CreationTimestamp
    @Column(updatable = false)
    private Date createTime;
    private Integer updateUser;
    @UpdateTimestamp
    private Date updateTime;
}
